summaryrefslogtreecommitdiff
path: root/biblio/bibtex/bibtex-x/tests/bibtex8-sort.test
diff options
context:
space:
mode:
Diffstat (limited to 'biblio/bibtex/bibtex-x/tests/bibtex8-sort.test')
-rwxr-xr-xbiblio/bibtex/bibtex-x/tests/bibtex8-sort.test36
1 files changed, 36 insertions, 0 deletions
diff --git a/biblio/bibtex/bibtex-x/tests/bibtex8-sort.test b/biblio/bibtex/bibtex-x/tests/bibtex8-sort.test
new file mode 100755
index 0000000000..9599b0a18f
--- /dev/null
+++ b/biblio/bibtex/bibtex-x/tests/bibtex8-sort.test
@@ -0,0 +1,36 @@
+#! /bin/sh -vx
+# $Id$
+# Copyright 2017 Karl Berry <tex-live@tug.org>
+# Copyright 2010 Peter Breitenlohner <tex-live@tug.org>
+# You may freely use, modify and/or distribute this file.
+
+# Using test data from Philipp Lehman <lehman@gmx.net>
+
+test -d tests || mkdir -p tests
+
+rc=0
+
+TEXMFCNF=$srcdir/../kpathsea
+BSTINPUTS=$srcdir/tests
+BIBINPUTS=$srcdir/tests
+export TEXMFCNF BSTINPUTS BIBINPUTS
+
+rm -f tests/xsort[123].bbl tests/xcase[123].bbl
+
+for i in 1 2 3; do
+
+## test for sorting and change.case$
+cp $srcdir/tests/sort.aux tests/xsort$i.aux
+./bibtex8 --csfile sort$i.csf tests/xsort$i || rc=1
+diff $srcdir/tests/sort$i.bbl tests/xsort$i.bbl || rc=2
+
+## test for change.case$
+cp $srcdir/tests/casea.aux tests/xcase$i.aux
+./bibtex8 --csfile sort$i.csf tests/xcase$i || rc=3
+diff $srcdir/tests/casea.bbl tests/xcase$i.bbl || rc=4
+
+done
+
+
+exit $rc
+